Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns daily scrobble counts for a given year.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/listening/calendar \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/listening/calendar', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/listening/calendar" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "year": 2026, "days": [ { "date": "2026-03-01", "count": 15 }, { "date": "2026-03-02", "count": 22 }, { "date": "2026-03-03", "count": 8 } ], "total": 45, "max_day": { "date": "2026-03-02", "count": 22 } }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
2024
Calendar data
Show child attributes